Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djepJUnit
Class VectorJepTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.lsmp.djepJUnit.JepTest
                  org.lsmp.djepJUnit.VectorJepTest

All Implemented Interfaces:
  junit.framework.Test

    public class VectorJepTest

extends JepTest

Author:
  Rich Morris Created on 22-Apr-2005

Field Summary

Fields inherited from class org.lsmp.djepJUnit.JepTest
`SHOW_BAD`

Constructor Summary
`VectorJepTest(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)` Main entry point.
`protected void` | `setUp()` Run before each test.
`static junit.framework.Test` | `suite()` Create a test suite.
`void` | `testArrayAccess()`
`void` | `testComplexMatricies()`
`void` | `testDotInName()`
`void` | `testElementOperations()`
`void` | `testGenMatEle()`
`void` | `testLength()`
`void` | `testMatrix()`
`void` | `testSumVector()`
`void` | `testVecCmp()`

Methods inherited from class org.lsmp.djepJUnit.JepTest
`calcValue, calcValue, complexValueTest, myAssertEquals, myAssertNaN, testAssign, testAssign2, testBad, testBinom, testComplex, testFunction, testGood, testIf, testLogical, testNaN, testNumParam, testSimpleSum, testUndeclared, valueTest, valueTest, valueTest, valueTest, valueTestInt, valueTestNaN`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VectorJepTest

    public VectorJepTest(java.lang.String name)

Parameters:
  `name` -

Method Detail

### suite

    public static junit.framework.Test suite()

  Create a test suite.

  Returns:
    the TestSuite

### main

    public static void main(java.lang.String[] args)

  Main entry point.

  Parameters:
    `args` -

### setUp

    protected void setUp()

  Description copied from class: `JepTest`
  Run before each test.

  Overrides:
    `setUp` in class `JepTest`

### testMatrix

    public void testMatrix()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLength

    public void testLength()
                    throws ParseException,
                           java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testSumVector

    public void testSumVector()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testVecCmp

    public void testVecCmp()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDotInName

    public void testDotInName()
                       throws ParseException,
                              java.lang.Exception

  Overrides:
    `testDotInName` in class `JepTest`
  Throws:
    `ParseException`
    `java.lang.Exception`

### testGenMatEle

    public void testGenMatEle()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testArrayAccess

    public void testArrayAccess()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testElementOperations

    public void testElementOperations()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testComplexMatricies

    public void testComplexMatricies()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems